Bug Hunting Session
Bug 75218 - Letter Wizard does not respect locale anymore
Summary: Letter Wizard does not respect locale anymore
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
: 65259 76525 112718 (view as bug list)
Depends on:
Blocks: Wizard
  Show dependency treegraph
 
Reported: 2014-02-19 16:29 UTC by Fabian
Modified: 2019-05-22 19:20 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Letter produced from the wizard, showing the problems (20.50 KB, application/vnd.oasis.opendocument.text)
2014-02-19 16:29 UTC, Fabian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian 2014-02-19 16:29:31 UTC
Created attachment 94370 [details]
Letter produced from the wizard, showing the problems

IMPORTANT: Bug is reproducible only if a German installation of LibreOffice is used.

If the letter wizard is used to create a letter the resulting document contains several big errors which make the document itself unusable. Here's what happens:
The page layout is set to Letter, which is fine in the USA but I am in Germany, which is in Europe and we use the metric system. We have a paper format called DIN A4, which all our printers use. Really. I'm writing this in such a way, because: I have reported this very same problem two years ago already and nothing -- in a word: n*o*t*h*i*n*g -- has changed. In fact it got even worse:

Now the position of the postcode is completely wrong. Here in Germany we put the postcode *in front* of the name of the city. Yes, I can move that around, but the wizard should have done it in the first place.

The correctness of the paper format is very important for two reasons: Letter format can be printed to A4 but it looks bad and even if I change the page format after the fact, the folding marks are at the wrong position and therefore useless.

The correct placement of the postcode is also important, because we here do it that way and if it's wrong then who knows what happens. It's just inconvenient and needs fixing. Otherwise I don't really see the point in a wizard.

Oh, and another thing: Don't default the document font to "Thorndale" or anything Microsoft specific. Why do you do that? LibreOffice comes with its own fonts. So, why on earth are you not using these? I don't get that at all.

You can see that in the attachment. Like I said: I reported that two years ago. Unfortunately I can't find my old bug report for the life of me. So, in case you want an office suite which can fight with the class-leading ones then you really need to fix that stupid bug. It can't be difficult, can it?!

Before anyone asks: yes, I did a fresh install of LibreOffice 4.2.0.4 on both Ubuntu 12.04 64bit and Windows 7 64bit. I deleted the old profiles and had LibreOffice create new ones (a major pain in the ass, because all my customization is now gone). Keep in mind that I am a German and that I am using German setups throughout. Not everywhere in the world is the USA ... thank you.

Thank you and sorry for being sarcastic. I'm just fed up with this stupid bug. I was expecting it to be fixed in the 4.2.x.x releases, but no ... hugely disappointed.

Thank you
Fabian
Comment 1 Reiner Bielefeld 2014-04-09 18:41:38 UTC
I can confirm this really annoying problem.
Reiner
Comment 2 Jean-Baptiste Faure 2015-08-01 18:09:06 UTC
Confirmed in French too.

Valid enhancement request.
That said the wizard creates a template and allows you to modify it before its first use.

I do not know how it is difficult to adapt the wizard to the locale.

Best regards. JBF
Comment 3 Fabian 2015-08-03 04:47:33 UTC
Hi again,
it was me who reported the problem. It is really nice that you finally begin to acknowledge that there is indeed a problem with this wizard. Took very long. Question: Will there be any action? Soon?

You're now classifying that as an 'enhancement request'. That's fair enough. In reality it still is a bug, because this all worked correctly in OpenOffice.org 3.x (wich LibreOffice is supposed to be based upon). That means that the developers ruined the wizard after the fact. So to me that means it is a bug. And it also answers the question whether it can be fixed anyway. Thank you.

Regarding JBF's pedantism about the wizard creating a template rather than a document: yes, that's true. It doesn't change the fact that even the template has to be the correct paper size. Of course I could change a template and just for your information: you can also change a document (doh!), but that's not the reason we want a wizard in the first place, right? Because if I have to change everything like paper format, folding mark positions, text field positions and so on, I would not need any sort of wizard anyway.
If there is a wizard it needs to make the magic happen automatically. I certainly hope that isn't so difficult to understand.

Fabian
Comment 4 Buovjaga 2015-08-03 06:41:03 UTC
Fabian: can you confirm that the bug is not yet in LibreOffice 3.5.0? If it's not, it could be bibisected to find out when it appeared. Then it would be much easier to fix. 3.5.0 is the oldest that we can bibisect from.

https://wiki.documentfoundation.org/Installing_in_parallel
http://downloadarchive.documentfoundation.org/libreoffice/old/

As to your question of when this will be fixed: we have ~7000 bugs and over 2000 feature requests. If you want to see the situation improve in general, you should join the QA team and help us make it easier for developers to fix bugs. If you want to see your bug fixed in particular, you might offer money for it in http://freedomsponsors.org/ for example, or hire some freelancer or contact a consulting company like Collabora or CIB.
Comment 5 Fabian 2015-08-03 21:31:51 UTC
Re-checked with LibreOffice 3.5.7.2 German (Linux Mint 13; clean install; language pack German)
Result:
Letter wizard creates template/document with correct layout DIN A4 -> folding marks at the correct position; text frames at the correct position; ZIP in front of name of the city (as it should be).

It is just like I said all along: in version 3.x this bug was not present and it was introduced later.

I hope you're satisfied. By the way: that would have been your job to check for that. Now it's your turn.
Comment 6 Jean-Baptiste Faure 2015-08-04 05:53:50 UTC
(In reply to Fabian Tröster from comment #5)
> [...]
> I hope you're satisfied. By the way: that would have been your job to check
> for that. Now it's your turn.

No.
You should read: https://wiki.documentfoundation.org/QA
Comment 7 Maxim Monastirsky 2015-08-04 06:42:59 UTC
(In reply to Beluga from comment #4)
> If
> it's not, it could be bibisected to find out when it appeared.
IIRC This wizard was rewritten in Python in the 4.0 cycle, instead of Java. That's the first candidate I can think of.

(In reply to Fabian Tröster from comment #5)
> By the way: that would have been your job to check for that.
This doesn't make any sense in the LibreOffice context. LibreOffice is a community project, and we all here are ordinary users, just like you, volunteering in our free time to improve the software.
Comment 8 Fabian 2015-08-04 07:44:49 UTC Comment hidden (no-value)
Comment 9 Buovjaga 2015-08-04 08:46:43 UTC
Maxim: thank you for that Python tip. Let's add a bibisect request anyways.
It seems I mistakenly set this to be an ehancement last year..
Comment 10 Robinson Tryon (qubit) 2015-12-14 05:32:48 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-01-03 19:49:54 UTC Comment hidden (obsolete)
Comment 12 Fabian 2017-01-04 18:28:31 UTC
Thank you. Retested the bug on Microsoft Windows 7 64bit German (!) with the latest Version of LibreOffice 5.2.4 64bit German (!) as per download today.

The bug is still present, no change in behaviour.

Three more years and not a fix in sight. Unbelievable. Could someone please take care of this? Greatly appreciated.
Comment 13 Fabian 2017-01-05 11:00:19 UTC
One more thing to note: Tested this exact bug on Apache OpenOffice 4.1.3 (current release; downloaded today): Apache OpenOffice works correctly and does not have this bug.
Comment 14 Fabian 2017-01-05 11:02:19 UTC
Please also check Bug 65259. No duplicate!

https://bugs.documentfoundation.org/show_bug.cgi?id=65259
Comment 15 Julien Nabet 2017-02-23 22:33:34 UTC
Xisco: noticing this commit https://cgit.freedesktop.org/libreoffice/core/commit/?id=dc85befb7a25a5a70a17c259b4d54a2f17f90123, it seems that there was still some localization part in 2011 but nothing now with Python conversion.
Any idea why? (lack of time or due to some decision at these times)
In comparison Apache Openoffice extras/source/templates/wizard/letter contains a subdirectory lang which itself contains 28 subdirectories representing languages each containing ott files
Comment 16 Julien Nabet 2017-02-26 20:23:18 UTC
After some research I found this commit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=1b7c88ab4d6aaa79c484bcb179e5b2f296654462

Istvan/Andras: thought you might be interested in this one. It seems not only translations must be taken into account but also template layout and printing config.
Comment 17 Jean-Baptiste Faure 2017-10-23 20:59:19 UTC
*** Bug 112718 has been marked as a duplicate of this bug. ***
Comment 18 norbert.flatinger 2017-11-29 23:00:01 UTC
See also bug 76525!
Comment 19 Fabian 2018-01-06 17:47:49 UTC
Bug still exists. Can you please fix it already?

It is a regression!

In fact it is now even worse with LibreOffice 6.0 because now there is no German translation of the wizard anymore. Why did you do that? Why are you hellbent on making the wizard worse and worse with each version of LibreOffice?

If you can't be bothered to fix the wizard then why not remove it altogether?! As it stands the wizard is now worse than useless.

Thank you for doing nothing in this regard for almost five years (see bug #65259 as to why "five" years). I might switch to Apache OpenOffice.org.
Comment 20 Buovjaga 2018-01-07 09:26:54 UTC
Fabian: the people you have interacted in this report have each put thousands of hours into improving LibreOffice without compensation. Surely, if the letter wizard is so important to you, you could have put a fraction of that time into solving this issue yourself. Nothing is stopping you from investigating the matter or finding some local hacker to do it for you.
Comment 21 Fabian 2018-01-07 10:00:27 UTC
Buovjaga: I understand where you're coming from. But your comment is quite frankly unreasonable. If you read my bugreport (which you haven't, I'm sure) you would understand that the letter wizard was working in LibreOffice 3.3
So someone put a few hours into it to break the letter wizard. That was some five years ago. I didn't pay them to break it, I didn't even ask them to break it.
My request is simply that since someone on the LibreOffice team broke it without compensation they should fix it with or without compensation.
Also, if there is a function which isn't working properly then it should be fixed. If you can't be bothered by it, why not remove the letter wizard altogether? This bugreport has existed for very nearly 5 years and nothing has improved.
Fact is: the letter wizard is working on Apache OpenOffice.org 

If you don't want bugs to be reported then say so up front!
Comment 22 Julien Nabet 2018-01-07 10:14:39 UTC
Fabian: Do you really think someone had in mind to break this on purpose?
You act like you were a chief or something, fact is no one must obey your commands and no one cares you switch to Apache OpenOffice or whatever.
Instead of complaining like you, I'm trying to improve things (see https://gerrit.libreoffice.org/#/c/47521/).
Advice have already been given by others here so either you have information to help here and add an useful comment or refrain from commenting for nothing constructive.
Comment 23 Fabian 2018-01-07 10:25:48 UTC
Julien: Yes, you're right. I'm sorry. Really, I am. It was out of place. I agree, nobody wanted to breakt it on purpose, that's probalby true. But nothing has improved and that is disappointing. Also, if no one wanted to break it on purpose then it is unreasonable to ask for money to fix it. Sorry if that is something you don't like hearing.

Just to explain why I revisited this bugreport: every year the system sends an automatic message to check whether the bug still exists. So I install all the latest software LibreOffice and to check again Apache OpenOffice.org. That takes an hour anyway. Then I retest, see that it doesn't work in the current version. And seeing that bug #75218 and bug #65259 are really old and nothing has improved is really frustrating.
I try to be productive in that I send and update these bugreports.

The problem is: yes, I could try to fix it myself, but that means I will have to spend a couple of weeks or months of my spare time to understand the codebase and make a fix for it which might work or not. You are the ones who understand the codebase best.

Spending money, yes, that's a possibility. Or maybe I just move to Apache OpenOffice.org.

And for now I will remove myself from CC of this bugreport. I'm sorry that I was reporting the bug in the first place. And I am very sorry that my comments were out of place. I apologise.
Comment 24 sergio.callegari 2018-01-07 10:39:18 UTC
Also experiencing this issue being on an Italian locale (got here from bug 112718).

A couple of quick questions.

- Would it be possible to revert to the Java document wizards given that the Python ones have evident regressions wrt the former? Is it too late for a simple revert of the corresponding commits to go through without too many conflicts? 

- As an alternative, would it be possible to at least gray out the document wizards in the menu for all locales different from En-US? I do not think that keeping exposing functionalities that have been known to be broken for a long time is a good idea, as it causes a waste of users' time (10' multiplied by 10 million users are millions of men-hours that could be employed better) and most important tends to trigger user frustration on the bug tracker.
Comment 25 Julien Nabet 2018-01-07 17:28:55 UTC
Andras: re reading about this one, I understand the purpose of simplifying and trying to unify with https://cgit.freedesktop.org/libreoffice/core/commit/?id=1b7c88ab4d6aaa79c484bcb179e5b2f296654462 but how to deal with different layouts?
I mean, I suppose we can change format of the page from Python by using "Locale setting" from Options, but layout rules (eg: the already quoted postcode position) are different according to countries. Also, the word size vary according to the languages so we can't use fixed positions.
In brief, I understand the fact we don't want to manage lots of localized templates but I don't know how we can deal with all the rules with only 1 language template.
(just wonder how Office suites or any softs manage this kind of problematic)
 
Then, even if don't have opinion about this, I understand the request to revert knowing that here, since we migrated this part from Java to Python, it wouldn't be a simple revert.

Any thoughts?
Comment 26 Mike Kaganski 2018-01-08 18:04:20 UTC
I'd say go with templates. It's insanely difficult to try to hardcode something like that into program. Templates are external entity in a way, and more suitable for modification by localization teams.
Comment 27 Julien Nabet 2018-01-13 21:36:24 UTC
*** Bug 76525 has been marked as a duplicate of this bug. ***
Comment 28 Thomas Lendo 2018-10-16 20:07:33 UTC
*** Bug 65259 has been marked as a duplicate of this bug. ***